<?php
/**
 * MaterioMateriauNodeMigration
 * 
 */
class PerfPerformanceUpdateNodeMigration extends PerfBasicUpdateMigration {
  public function __construct() {
    
		$this->item_xpath = '/RACINE/ARBRE/INITIALE/PERFORMANCE';  // relative to document		

    parent::__construct();
		
		$this->description = t('XML feed of performances');
    // $this->dependencies = array('WineRegion', 'WineUser');
		
		$this->addFieldMapping('nid', 'treeline_id')
         ->sourceMigration('PerfPerformanceNode');

	}
	
	// public function prepareRow($row){
	// 	parent::prepareRow($row);
	// }
	
}